Overview | Package | Class | Tree | Deprecated | Index | Help
| Kodo 4.1.4 generated on June 22 2007
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## kodo.jdo.jdbc
Class DeprecatedJDOMappingDefaults

    java.lang.Object
      org.apache.openjpa.jdbc.meta.MappingDefaultsImpl
          kodo.jdo.jdbc.DeprecatedJDOMappingDefaults

All Implemented Interfaces:
  MappingDefaults, Configurable

    public class DeprecatedJDOMappingDefaults

extends MappingDefaultsImpl

`MappingDefaults` matching Kodo JDO 3.x behavior.

Field Summary

Fields inherited from class org.apache.openjpa.jdbc.meta.MappingDefaultsImpl
`dict`

Constructor Summary
`DeprecatedJDOMappingDefaults()`

Method Summary
`void` | `populateColumns(Discriminator disc, Table table, Column[] cols)`
`void` | `populateColumns(Version vers, Table table, Column[] cols)`
`void` | `populateForeignKeyColumn(ValueMapping vm, String name, Table local, Table foreign, Column col, Object target, boolean inverse, int pos, int cols)`
`boolean` | `populateNullIndicatorColumns(ValueMapping vm, String name, Table table, Column[] cols)`
`boolean` | `populateOrderColumns(FieldMapping fm, Table table, Column[] cols)`

Methods inherited from class org.apache.openjpa.jdbc.meta.MappingDefaultsImpl
`areAllPrimaryKeyColumns, correctName, defaultMissingInfo, endConfiguration, getAddNullIndicator, getBaseClassStrategy, getDataStoreIdColumnName, getDeferConstraints, getDiscriminatorColumnName, getDiscriminatorStrategy, getDiscriminatorValue, getFieldStrategy, getForeignKey, getForeignKeyDeleteAction, getIndex, getIndex, getIndex, getIndexDiscriminator, getIndexLogicalForeignKeys, getIndexName, getIndexVersion, getJoinForeignKey, getJoinForeignKey, getJoinForeignKeyDeleteAction, getJoinIndex, getJoinUnique, getNullIndicatorColumnName, getOrderColumnName, getOrderLists, getPrimaryKeyName, getStoreEnumOrdinal, getStoreUnmappedObjectIdString, getStrategy, getStrategy, getStrategy, getStrategy, getSubclassStrategy, getTableName, getTableName, getUnique, getVersionColumnName, getVersionStrategy, installPrimaryKey, populateColumns, populateDataStoreIdColumns, populateJoinColumn, populateJoinColumn, setAddNullIndicator, setBaseClassStrategy, setConfiguration, setDataStoreIdColumnName, setDefaultMissingInfo, setDeferConstraints, setDiscriminatorColumnName, setDiscriminatorStrategy, setFieldStrategies, setFieldStrategy, setForeignKeyDeleteAction, setForeignKeyDeleteAction, setIndexDiscriminator, setIndexLogicalForeignKeys, setIndexVersion, setJoinForeignKeyDeleteAction, setJoinForeignKeyDeleteAction, setNullIndicatorColumnName, setOrderColumnName, setOrderLists, setStoreEnumOrdinal, setStoreUnmappedObjectIdString, setSubclassStrategy, setUseClassCriteria, setVersionColumnName, setVersionStrategy, startConfiguration, useClassCriteria`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DeprecatedJDOMappingDefaults

    public DeprecatedJDOMappingDefaults()

Method Detail

### populateColumns

    public void populateColumns(Version vers,
                                Table table,
                                Column[] cols)

  Specified by:
    `populateColumns` in interface `MappingDefaults`
  Overrides:
    `populateColumns` in class `MappingDefaultsImpl`

### populateColumns

    public void populateColumns(Discriminator disc,
                                Table table,
                                Column[] cols)

  Specified by:
    `populateColumns` in interface `MappingDefaults`
  Overrides:
    `populateColumns` in class `MappingDefaultsImpl`

### populateForeignKeyColumn

    public void populateForeignKeyColumn(ValueMapping vm,
                                         String name,
                                         Table local,
                                         Table foreign,
                                         Column col,
                                         Object target,
                                         boolean inverse,
                                         int pos,
                                         int cols)

  Specified by:
    `populateForeignKeyColumn` in interface `MappingDefaults`
  Overrides:
    `populateForeignKeyColumn` in class `MappingDefaultsImpl`

### populateOrderColumns

    public boolean populateOrderColumns(FieldMapping fm,
                                        Table table,
                                        Column[] cols)

  Specified by:
    `populateOrderColumns` in interface `MappingDefaults`
  Overrides:
    `populateOrderColumns` in class `MappingDefaultsImpl`

### populateNullIndicatorColumns

    public boolean populateNullIndicatorColumns(ValueMapping vm,
                                                String name,
                                                Table table,
                                                Column[] cols)

  Specified by:
    `populateNullIndicatorColumns` in interface `MappingDefaults`
  Overrides:
    `populateNullIndicatorColumns` in class `MappingDefaultsImpl`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Kodo 4.1.4 generated on June 22 2007
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2001-2006 BEA Systems, Inc. All Rights Reserved.